Bug 389482 - Display per-release information on the app page, when available
Summary: Display per-release information on the app page, when available
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: discover (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-26 20:50 UTC by Nate Graham
Modified: 2018-02-22 20:09 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2018-01-26 20:50:05 UTC
When an App's AppStream data defines <release> tags that have actual information in them (as opposed to just a version number and a release date), we should reward the app by allowing the user to see this information on thre actual app page itself, not only in the update view.

When updating, users like changelogs because it makes them feel like they can make an informed decision before deciding whether or not to update, but on the app page, it gives them a sense that the project actually has forward momentum and is actively developed. Here's an example of how ElementaryOS's store presents the information: https://cdn-images-1.medium.com/max/2000/1*eZYu9OI5APRUiCfITIdfBg.png

I'd be happy to work up a proof-of-concept patch if you think this could be a decent enough idea. I was thinking of having it under a "Latest news" section header or something, but I'll try out a few different ideas.
Comment 1 Aleix Pol 2018-02-22 20:09:39 UTC
Git commit d83e3d688818521cc8ad72d7ff1ce9c355e043e9 by Aleix Pol.
Committed on 22/02/2018 at 20:08.
Pushed by apol into branch 'master'.

Show the appstream last release information on the ApplicationPage

M  +21   -0    discover/qml/ApplicationPage.qml

https://commits.kde.org/discover/d83e3d688818521cc8ad72d7ff1ce9c355e043e9